> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get line item description formula placeholders

> Returns placeholders that can be used in the line description formula (e.g. {description}, {employeeName}). Use the returned id in curly braces in the formula. When requiresTagGroup is true for a placeholder, set lineDescriptionTagGroupId on the invoice or credit note template when using that placeholder.



## OpenAPI

````yaml /api-reference/specs/billing.json get /finance/line-item-description-fields
openapi: 3.0.1
info:
  title: Billing Service
  description: Billing API for FlowPayroll
  contact:
    name: FlowPayroll
    email: support@flowpayroll.com
  version: v1
servers:
  - url: https://api.sandbox.flowpayroll.ai/v1/billing
security:
  - X-Auth-Token: []
tags:
  - name: Account codes
    description: Create, update, archive, and delete accounting ledger codes.
  - name: Tax rates
    description: Manage default and custom tax rates.
  - name: Invoice & credit note templates
    description: >-
      Configure invoice and credit note templates, and list the available
      reference and description tokens.
  - name: Finance defaults
    description: >-
      Organisation finance defaults, pay element mappings, and attachment
      limits.
  - name: Invoices
  - name: Credit Notes
  - name: Clients
  - name: Integrations
  - name: Accounting Sync
paths:
  /finance/line-item-description-fields:
    get:
      tags:
        - Invoice & credit note templates
      summary: Get line item description formula placeholders
      description: >-
        Returns placeholders that can be used in the line description formula
        (e.g. {description}, {employeeName}). Use the returned id in curly
        braces in the formula. When requiresTagGroup is true for a placeholder,
        set lineDescriptionTagGroupId on the invoice or credit note template
        when using that placeholder.
      operationId: GetLineItemDescriptionFields
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ApiResponse_IReadOnlyList_LineItemDescriptionFieldDto
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_String'
components:
  schemas:
    ApiResponse_IReadOnlyList_LineItemDescriptionFieldDto:
      type: object
      properties:
        content:
          $ref: >-
            #/components/schemas/Content_IReadOnlyList_LineItemDescriptionFieldDto
        metadata:
          $ref: '#/components/schemas/Metadata'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        message:
          $ref: '#/components/schemas/Message'
      additionalProperties: false
    ApiResponse_String:
      type: object
      properties:
        content:
          $ref: '#/components/schemas/Content_String'
        metadata:
          $ref: '#/components/schemas/Metadata'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        message:
          $ref: '#/components/schemas/Message'
      additionalProperties: false
    Content_IReadOnlyList_LineItemDescriptionFieldDto:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/LineItemDescriptionFieldDto'
          nullable: true
        metadata:
          $ref: '#/components/schemas/Metadata'
      additionalProperties: false
    Metadata:
      type: object
      properties:
        dateFormat:
          type: string
          nullable: true
        dateTimeFormat:
          type: string
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        field:
          type: string
          nullable: true
        reasonText:
          type: string
          nullable: true
        reasonId:
          type: string
          nullable: true
        reasonParameters:
          type: array
          items:
            $ref: '#/components/schemas/Pair'
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        text:
          type: string
          nullable: true
        textId:
          type: string
          nullable: true
        textParameters:
          type: array
          items:
            $ref: '#/components/schemas/Pair'
          nullable: true
      additionalProperties: false
    Content_String:
      type: object
      properties:
        data:
          type: string
          nullable: true
        metadata:
          $ref: '#/components/schemas/Metadata'
      additionalProperties: false
    LineItemDescriptionFieldDto:
      type: object
      properties:
        id:
          type: string
        label:
          type: string
        requiresTagGroup:
          type: boolean
      additionalProperties: false
    Pair:
      type: object
      properties:
        key:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    X-Auth-Token:
      type: apiKey
      description: Authentication token for API access
      name: X-Auth-Token
      in: header

````